CrabIIHETransitionSLC4ToSLC5

From T2B Wiki
Jump to: navigation, search

Contents

Introduction

Since 2009, all the Tier2 sites are progressively migrating the operating system on the machines from SLC4 to SLC5. This transition mainly involves the workernodes, and the user interfaces. Since the softwares are not all compliant with SLC5, we need to keep SLC4 on some machines of the grid. It also implies some temporary changes in the usual procedures you follow to work on the grid at IIHE. In the following sections, we will explain the new procedures to apply in each specific use case.

But before going into the details of the new transitory procedures, we would like to remind you some important facts :

- As of CRAB 2.7.x, it is advised to not specify explicitly the crabserver name (simply put use_server=1)
- If you still have to use CRAB 2.6.6, then you can find the list of compatible crabserver here
- In order to submit CMSSW_3_4_0 (and greater) jobs, you must use CRAB 2.6.6 or CRAB 2.7.x.
- The CRAB clients 2.6.6 and 2.7.x are compatible with SLC4 and SLC5 user interfaces.
- We have four SLC5 user interfaces : m6, m7, m8 and m9.
- Even on a SLC5 UIs, CRAB 2.6.6 must be used with glite 3.1 (while the default environment on our SLC5 UIs is glite 3.2).

Updated information on crabservers can be found here.

As of April 2010, it is recommended to use CRAB client 2.7.x. This new series of releases is designed to run natively on SL5 UIs with glite 3.2. But it will also keep compatibility with older SL4 UIs.

You will discover at the end of this page how to use CRAB 2.7.x at IIHE.

Working with CRAB 2.6.6 on SLC4 UIs (m0, m1)

We insist on the fact that you cannot run interactively CMSSW_3_4_0 and higher on a SLC4 UI. You can only do CRAB submission on such a machine.

Just after the initial source :

source $VO_CMS_SW_DIR/cmsset_default.sh
(bash users)
or
source $VO_CMS_SW_DIR/cmsset_default.csh
(tcshell users)

type one of the following command :

export GLITE_WMS_LOCATION=/opt/glite

(on bash)

or

setenv GLITE_WMS_LOCATION /opt/glite

(on tcsh)

The initial source will set the SCRAM_ARCH variable to slc4_ia32_gcc345. But, if you want to work with CMSSW_3_4_0 and higher, you must set SCRAM_ARCH to slc5_ia32_gcc434 :

export SCRAM_ARCH=slc5_ia32_gcc434

(on bash)

or

setenv SCRAM_ARCH slc5_ia32_gcc434

(on tcsh)

Then, you can go on with the usual commands. For example (bash user) :

scramv1 list CMSSW
cmsrel CMSSW_3_4_0
cd CMSSW_3_4_0/src
cmsenv
source /user/cmssoft/crab/CRAB_2_6_6/crab.sh

Working with CRAB 2.6.6 on SLC5 UIs (m6, m7, m8, m9)

Just after the initial source :

source $VO_CMS_SW_DIR/cmsset_default.sh
(for bash users)
or
source $VO_CMS_SW_DIR/cmsset_default.csh
(for tcshell users)

type one of the following command :

export GLITE_WMS_LOCATION=/opt/glite

(on bash)

or

setenv GLITE_WMS_LOCATION /opt/glite

(on tcsh)

The initial source will set the SCRAM_ARCH variable to slc5_ia32_gcc434. But, if you want to work with version older than CMSSW_3_4_0, you must set SCRAM_ARCH back to slc4_ia32_gcc345 :

export SCRAM_ARCH=slc4_ia32_gcc345

(on bash)

or

setenv SCRAM_ARCH slc4_ia32_gcc345

(on tcsh)

Since you are on an SLC5 UI with a native glite 3.2 not compatible with CRAB 2.6.6, you have to put your environment back to glite 3.1. Here is the way to do it :

source /swmgrs/cmss/env_glite31.sh
(for bash users)
or
source /swmgrs/cmss/env_glite31.csh
(for tcshell users)

Then, you can go on with the usual commands.

Working with CRAB 2.7.x on SLC4 UIs (m0, m1)

Only with CMSSW releases earlier then 3_4_x

First, as usual, source the UI environment :

source $VO_CMS_SW_DIR/cmsset_default.sh
(for bash users)
or
source $VO_CMS_SW_DIR/cmsset_default.csh
(for tcshell users)

Then, considering, for short, that you already have got a CMSSW framework :

cd CMSSW_X_Y_Z/src/
cmsenv

With CRAB 2.7.x, it is recommended to not specify explicitly the server name, and simply put use_server=1 in the [CRAB] section of your crab.cfg. So, the good practice is something like this :

[CRAB]
scheduler=glite
jobtype=cmssw
#server_name =slc5cern
use_server=1

And finally, you source the CRAB client 27x :

source /user/cmssoft/crab/latest/crab.sh
(for bash users)
or
source /user/cmssoft/crab/latest/crab.csh
(for tcshell users)

The symbolic link /user/cmssoft/crab/latest will always point to the latest trusted CRAB27x release installed in out site.

And then, you can use the crab command as usual.

Known issue : "Missing glite environment" error message with "crab -create" --> see the FAQ section of this Wiki

Working with CRAB 2.7.x on SLC5 UIs (m6, m7, m8, m9)

Only with CMSSW releases 3_4_x or higher

Follow the same procedure as described above for SLC4 UI.

Known issue : "Missing glite environment" error message with "crab -create" --> see the FAQ section of this Wiki


Template:TracNotice

Personal tools
Namespaces

Variants
Actions
Navigation
Tools